import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import com.fasterxml.jackson.annotation.JsonTypeInfo.As;
import com.fasterxml.jackson.annotation.JsonTypeInfo.Id;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;

@JsonRootName(value = "apple")
@JsonTypeName("apple")
public class Apple extends AbstractFruit
{
	@JsonProperty("part")
	@JacksonXmlElementWrapper(useWrapping = false)
	private String[] parts;

	@JsonTypeInfo(use = Id.NAME, include = As.PROPERTY, property = "type")
	private AbstractFruit parent;
	
	public AbstractFruit getParent() 
	{
		return parent;
	}
	
	public void setParent(AbstractFruit parent)
	{
		this.parent = parent;
	}

	public String[] getParts() 
	{
		return parts;
	}
	
	public void setParts(String[] parts)
	{
		this.parts = parts;
	}
}
